catalog:
  title: Yet Another Robot Platform (YARP) Python Bindings

templates:
- github
- cmake-cpp
- base

variables:
  description: >-
    YARP is plumbing for robot software.

    It is a set of libraries, protocols, and tools to keep modules and
    devices cleanly decoupled.

    This recipe builds the Python bindings for YARP.
  keywords:
  - middleware
  - integration
  - robotics
  - bindings

  github.user: robotology
  github.project: yarp

  sub-directory: bindings
  git.shallow?: false
  branches:
  - master
  - v2.3.63

  numeric-version: 2.3.63
  extra-provides:
  - nature: cmake
    target: yarp-python-bindings
    version: ${numeric-version}
  extra-requires:
  - nature: cmake
    target: yarp
    version: ${numeric-version}

  platform-requires:
    ubuntu:
      packages:
      - python-dev
      - swig
      - '@{next-value|[]}'

  cmake.options:
  - CMAKE_BUILD_TYPE=Release
  - CREATE_PYTHON=ON
  - SWIG_DIR=/usr/bin/swig
  - '@{next-value|[]}'
